Bug 856623 - Ip Injection support for hyperv guest - daemon part
Ip Injection support for hyperv guest - daemon part
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hypervkvpd (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Tomáš Hozza
Virtualization Bugs
:
Depends On: 856520
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 09:01 EDT by Tomáš Hozza
Modified: 2013-03-21 02:37 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 12:23:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Hozza 2012-09-12 09:01:10 EDT
Description of problem:

Newest hyperv does support ip injection, HyperV KVP daemon source need to be updated to support the ip injection.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tomáš Hozza 2012-09-12 09:11:43 EDT
K.Y.:

As we decided to add ip injection in 5.9. I was not able to find the newest daemon sources with all the necessary patches and all necessary shell scripts used by daemon source. Can you please provide them to me or is it enough to apply patches you have sent me some time ago?

Thanks
Comment 2 RHEL Product and Program Management 2012-09-12 09:18:23 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 K. Y. Srinivasan 2012-09-12 09:25:37 EDT
Tomas,

Greg has checked all the code for this feature into:

git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/driver-core.git

Take a look and let me know. The example scripts that I used to test this feature have also been checked in by Greg.
Comment 9 K. Y. Srinivasan 2012-09-25 16:19:20 EDT
If need be I can give you patches for this feature on RHEL 5.9. I was under the impression that you would not pickup this feature for 5.9. Has that decision changed?
Comment 10 Ondrej Vasik 2012-09-27 12:23:37 EDT
When kernel part is not included, daemon part can't include the IP injection. Closing WONTFIX, the same way as was the kernel part closed.

Note You need to log in before you can comment on or make changes to this bug.